org.eclipse.microprofile.rest.client.tck.cditests

## Class CDIManagedProviderTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.cditests.CDIManagedProviderTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIManagedProviderTest
    extends org.jboss.arquillian.testng.Arquillian

Verifies the CDI-managed providers are used when their class is registered with the client interface.

### Nested Class Summary

Nested Classes
`static interface` `CDIManagedProviderTest.MyClientWithAnnotations`
`static class` `CDIManagedProviderTest.MyFilter`
`static interface` `CDIManagedProviderTest.MyProgrammaticClient`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIManagedProviderTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testCDIProviderSpecifiedInMPConfig()`
`void` `testCDIProviderSpecifiedViaAnnotation()`
`void` `testCDIProviderSpecifiedViaRestClientBuilder()`
`void` `testInstanceProviderSpecifiedViaRestClientBuilderDoesNotUseCDIManagedProvider()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIManagedProviderTest

    public CDIManagedProviderTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testCDIProviderSpecifiedInMPConfig

    public void testCDIProviderSpecifiedInMPConfig()
                                            throws Exception

Throws:
  `Exception`

#### testCDIProviderSpecifiedViaAnnotation

    public void testCDIProviderSpecifiedViaAnnotation()
                                               throws Exception

Throws:
  `Exception`

#### testCDIProviderSpecifiedViaRestClientBuilder

    public void testCDIProviderSpecifiedViaRestClientBuilder()
                                                      throws Exception

Throws:
  `Exception`

#### testInstanceProviderSpecifiedViaRestClientBuilderDoesNotUseCDIManagedProvider

    public void testInstanceProviderSpecifiedViaRestClientBuilderDoesNotUseCDIManagedProvider()
                                                                                       throws Exception

Throws:
  `Exception`